std::_Node_handle< _Key, _Value, _NodeAlloc > Class Template Reference
Containers » Associative » Node handles

`#include <node_handle.h>`

Inheritance diagram for std::_Node_handle< _Key, _Value, _NodeAlloc >:
[legend]

## Public Types

using | allocator_type
using | key_type
using | mapped_type

## Public Member Functions

| _Node_handle (_Node_handle &&) noexcept=default
bool | empty () const noexcept
allocator_type | get_allocator () const noexcept
key_type & | key () const noexcept
mapped_type & | mapped () const noexcept
| operator bool () const noexcept
_Node_handle & | operator= (_Node_handle &&) noexcept=default
void | swap (_Node_handle &__nh) noexcept

## Friends

template<typename _Key2, typename _Value2, typename _ValueAlloc, typename _ExtractKey, typename _Equal, typename _Hash, typename _RangeHash, typename _Unused, typename _RehashPolicy, typename _Traits>
class | _Hashtable
template<typename _Key2, typename _Value2, typename _KeyOfValue, typename _Compare, typename _ValueAlloc>
class | _Rb_tree
void | swap (_Node_handle &__x, _Node_handle &__y) noexcept(noexcept(__x.swap(__y)))

## Detailed Description

template<typename _Key, typename _Value, typename _NodeAlloc>
class std::_Node_handle< _Key, _Value, _NodeAlloc >

Node handle type for maps.

Definition at line 252 of file node_handle.h.

## Member Typedef Documentation

## allocator_type

using std::_Node_handle_common< _Value, _NodeAlloc >::allocator_type

inherited

Definition at line 69 of file node_handle.h.

## key_type

template<typename _Key, typename _Value, typename _NodeAlloc>

using std::_Node_handle< _Key, _Value, _NodeAlloc >::key_type

Definition at line 262 of file node_handle.h.

## mapped_type

template<typename _Key, typename _Value, typename _NodeAlloc>

using std::_Node_handle< _Key, _Value, _NodeAlloc >::mapped_type

Definition at line 263 of file node_handle.h.

## Member Function Documentation

## empty()

bool std::_Node_handle_common< _Value, _NodeAlloc >::empty | ( |  | ) | const

inline nodiscard noexcept inherited

Definition at line 80 of file node_handle.h.

## get_allocator()

allocator_type std::_Node_handle_common< _Value, _NodeAlloc >::get_allocator | ( |  | ) | const

inline noexcept inherited

Definition at line 72 of file node_handle.h.

## key()

template<typename _Key, typename _Value, typename _NodeAlloc>

key_type & std::_Node_handle< _Key, _Value, _NodeAlloc >::key | ( |  | ) | const

inline noexcept

Definition at line 266 of file node_handle.h.

## mapped()

template<typename _Key, typename _Value, typename _NodeAlloc>

mapped_type & std::_Node_handle< _Key, _Value, _NodeAlloc >::mapped | ( |  | ) | const

inline noexcept

Definition at line 273 of file node_handle.h.

## operator bool()

std::_Node_handle_common< _Value, _NodeAlloc >::operator bool | ( |  | ) | const

inline explicit noexcept inherited

Definition at line 78 of file node_handle.h.

## swap()

template<typename _Key, typename _Value, typename _NodeAlloc>

void std::_Node_handle< _Key, _Value, _NodeAlloc >::swap | ( | _Node_handle< _Key, _Value, _NodeAlloc > & | __nh | ) |

inline noexcept

Definition at line 280 of file node_handle.h.

## Friends And Related Symbol Documentation

## _Hashtable

template<typename _Key, typename _Value, typename _NodeAlloc>
template<typename _Key2, typename _Value2, typename _ValueAlloc, typename _ExtractKey, typename _Equal, typename _Hash, typename _RangeHash, typename _Unused, typename _RehashPolicy, typename _Traits>

friend class _Hashtable

friend

Definition at line 336 of file node_handle.h.

## _Rb_tree

template<typename _Key, typename _Value, typename _NodeAlloc>
template<typename _Key2, typename _Value2, typename _KeyOfValue, typename _Compare, typename _ValueAlloc>

friend class _Rb_tree

friend

Definition at line 330 of file node_handle.h.

## swap

template<typename _Key, typename _Value, typename _NodeAlloc>

void swap | ( | _Node_handle< _Key, _Value, _NodeAlloc > & | __x,
|  | _Node_handle< _Key, _Value, _NodeAlloc > & | __y )

friend

Definition at line 289 of file node_handle.h.

The documentation for this class was generated from the following file:

- node_handle.h